Subject: change in unidata-gen output, due to lexical subr.el?

From: Glenn Morris <[email-masked]>
Date: Mon, 11 Nov 2013 15:12:10 -0500

Package: emacs
Version: 24.3.50
Severity: minor

[ Split from http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15825#23 ]

The lisp/international/uni-*.el files are generated by running
make -C admin/unidata. At time of writing, the versions in the current
trunk were generated using emacs 24.3. If you regenerate them using
trunk emacs, some of the files (uni-comment.el, uni-name.el,
uni-old-name.el) are somewhat different. I don't know if the differences
are harmless or not. I bisected the cause to the change of subr.el to
lexical-binding in trunk r112851, 2013-06-04.